PATCH: wine-config

Marcus Meissner marcus at jet.franken.de
Sun Jun 17 03:26:34 CDT 2001


Hi,

to help winelib using developers, this program exports flags and directories
to /usr/bin/.

I am not sure whether exported cflags and libs are ok.

Hmm, we probably should also tell how to build .so libs. And specs -> .cs.
(Hmm, supply Makefile snippets?)

Ciao, Marcus

Changelog:
	Added a 'wine-config' for winelib developers.

Index: configure.in
===================================================================
RCS file: /home/wine/wine/configure.in,v
retrieving revision 1.208
diff -u -r1.208 configure.in
--- configure.in	2001/06/08 19:34:57	1.208
+++ configure.in	2001/06/17 08:08:18
@@ -1331,6 +1331,7 @@
 tools/Makefile
 tools/cvdump/Makefile
 tools/specmaker/Makefile
+tools/wine-config
 tools/winebuild/Makefile
 tools/winelauncher
 tools/wmc/Makefile
--- /dev/null	Thu Aug  5 15:06:39 1999
+++ tools/wine-config.in	Sun Jun 17 10:12:02 2001
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+usage()
+{
+	echo "usage: $0 [OPTIONS]"
+cat << EOH
+
+options:
+	[--prefix]
+	[--exec-prefix]
+	[--libdir]
+	[--libs]
+	[--cflags]
+	[--version]
+EOH
+	exit 1;
+}
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+infodir=@infodir@
+mandir=@mandir@
+includedir=@includedir@/wine
+LDFLAGS="@LDFLAGS@"
+LIBS="@LIBS@ -lwine -lwine_unicode"
+OPTIONS="@OPTIONS@ -D_REENTRANT"
+
+case $1 in
+    --libdir)
+          echo "$libdir"
+	  exit 0
+	  ;;
+    --prefix)
+          echo "$prefix"
+	  exit 0
+	  ;;
+    --exec-prefix)
+          echo "$exec_prefix"
+	  exit 0
+	  ;;
+    --libs)
+          echo "$LDFLAGS -L$libdir $LIBS"
+	  exit 0
+	  ;;
+    --cflags)
+	  echo "-I$includedir $OPTIONS"
+	  exit 0
+	  ;;
+    --version)
+	  echo 0.0.1
+	  ;;
+    *)
+	  usage
+	  ;;
+esac




More information about the wine-patches mailing list